# Delete a guest

Deletes a guest record and all entities associated with the guest
including orders, sessions, and events. This is an irreversible
operation. After you delete a guest record, you cannot retrieve the
guest record or any related entities.

Endpoint: DELETE /v2.1/guests/{guestRef}
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `guestRef` (string, required)
    The guest reference. This is a unique identifier of the guest record. If you don't know the guest reference, first retrieve guests.
    Example: "f7aabbca-1c1b-4fc2-be72-3e16294a4f03"

## Response 401 fields (application/json):

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: "Authentication credentials are required to access the resource. All requests must be authenticated."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"

  - `status` (string)
    The HTTP request status.
    Example: "UNAUTHORIZED"

## Response 404 fields (application/json):

  - `code` (integer)
    The HTTP response status code.
    Example: 404

  - `developerMessage` (string)
    Error description for developers.
    Example: "Guest with ref f7aabbca-1c1b-4fc2-be72-3e16294a4f03a for client key {...} was not found"

  - `message` (string)
    Error description.
    Example: "The specified resource does not exist."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"

  - `status` (integer)
    The HTTP request status.
    Example: 404


## Response 200 fields
